Endpoint/api/convert
DjVu to PDF Converter - Open & Read DjVu Files as PDF API
Need to convert DjVu to PDF? Our free online tool transforms .djvu into .pdf instantly. The best way to read DjVu books on Kindle and iPad.
Need to convert DjVu to PDF? Our free online tool transforms .djvu into .pdf instantly. The best way to read DjVu books on Kindle and iPad.
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| file | binary | Yes | The source file. |
| to | string | Yes | Target format or same format for compression. |
Code Examples
CURL
curl -X POST https://convertfleet.com/api/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "file=@input.pdf" \
-F "to=docx" \
-o output.docxJS
const axios = require('axios');
const fs = require('fs');
const FormData = require('form-data');
const form = new FormData();
form.append('file', fs.createReadStream('input.pdf'));
form.append('to', 'docx');
const res = await axios.post('https://convertfleet.com/api/convert', form, {
headers: { ...form.getHeaders(), 'Authorization': 'Bearer YOUR_API_KEY' },
responseType: 'arraybuffer',
});
fs.writeFileSync('output.docx', res.data);PYTHON
import requests
res = requests.post(
"https://convertfleet.com/api/convert",
files={"file": open("input.pdf", "rb")},
data={"to": "docx"},
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
open("output.docx", "wb").write(res.content)Related Resources
Ready to Start Converting?
Join thousands of developers and businesses using Convert Fleet.